unit dotNETInterface;

interface

uses SysUtils;

Type
 IRegisterDOTNETCom = Interface
 ['{071A077E-F4FA-4555-B4A6-9EF45FE3A620}']
   Function SetDllPath(Filename: PChar): HResult; stdcall;
   Function GetGUID(OUT GUID: PChar): HResult; stdcall;
   Function RegisterServer: HResult; stdcall;
   Function UnregisterServer: HResult; stdcall;
 End;

 Function GetTGUID(GUID: PChar): TGUID;

Const
 Class_RegisterDOTNETCom: TGUID = '{E9C127B8-61C6-442D-A90F-C1BD05806E36}';

implementation

Function GetTGUID(GUID: PChar): TGUID;
Begin
 Result := StringToGUID('{' + GUID + '}');
End;

end.
